import {CachedEndpointStatus} from "types/mojang/endpoint-status";
import {API_ENDPOINT} from "..";
import WebRequest from "../common/WebRequest";

const endpointStatusEndpoint = API_ENDPOINT + "/mojang/status";

/**
 * Gets the Mojang API status.
 *
 * @returns the Mojang API status
 */
export async function getMojangEndpointStatus(): Promise<CachedEndpointStatus> {
  return WebRequest.get<CachedEndpointStatus>(endpointStatusEndpoint);
}
