import {Status} from "../status";
import {Cache} from "../cache";

export interface CachedEndpointStatus extends EndpointStatus {
  /**
   * The endpoint statuses.
   */
  endpoints: EndpointStatus[];

  /**
   * The cache information.
   */
  cache: Cache;
}

type EndpointStatus = {
  /**
   * The name of the service.
   */
  name: string;

  /**
   * The hostname of the service.
   */
  hostname: string;

  /**
   * The status of the service.
   */
  status: Status;
};
